function onTalk()
    disableMovement()
    player.ForceCameraUpdate = true
    helpers.setFlag("ropedownflag", true)
    wait(0.1)
    helpers.setFlag("ropedownflag", false)

end

function onEnd()
    enableMovement()
end